## python-pyds9 1.4

=== debian/changelog ===
python-pyds9 (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #679111)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 27 Jun 2012 09:40:16 +0200
