## python-pyds9 1.6

=== debian/changelog ===
python-pyds9 (1.6-1) unstable; urgency=low

  * Change distribution to unstable

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 24 Apr 2013 18:35:49 +0200

python-pyds9 (1.6-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 18 Feb 2013 10:05:34 +0100
