## python-pyds9 1.7

=== debian/changelog ===
python-pyds9 (1.7-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 29 Jul 2013 12:05:17 +0200
