=== debian/control ===
Source: python-pyds9
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 8.0), python (>= 2.6.6-2~)
Standards-Version: 3.9.4
Homepage: http://hea-www.harvard.edu/saord/ds9/pyds9/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-pyds9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-pyds9.git

Package: python-pyds9
Architecture: all
Depends: libxpa1, ${misc:Depends}, ${python:Depends}
Recommends: saods9, python-numpy, python-astropy, xpa-tools
Description: Communication with the ds9 image display program
 The XPA messaging system provides seamless communication between many kinds
 of Unix programs, including Tcl/Tk programs such as ds9. The pyds9 module
 uses a Python interface to XPA to communicate with ds9. It supports
 communication with all of ds9’s XPA access points.
