=== debian/changelog ===
python-pyds9 (1.8.1-5) unstable; urgency=low

  * Replace find_executable (not existing anymore) with shutil.which

 -- Ole Streicher <olebole@debian.org>  Mon, 17 Dec 2018 16:37:18 +0100

python-pyds9 (1.8.1-4) unstable; urgency=low

  * Fix Python 3 compatibility of CI test

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Dec 2018 13:01:28 +0100

python-pyds9 (1.8.1-3) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Dec 2018 13:49:53 +0100

python-pyds9 (1.8.1-2) unstable; urgency=medium

  * Add Bug-Db and Repository to d/u/metadata
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.2.0. Change URLs to https
  * Push compat to 11
  * Depend python3-pyds9 on python3-six, not python-six

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Aug 2018 08:55:21 +0200

python-pyds9 (1.8.1-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Jan 2016 09:46:41 +0100

python-pyds9 (1.8-2) unstable; urgency=low

  * Add python-six to dependencies to fix CI failure

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Nov 2015 10:28:18 +0100

python-pyds9 (1.8-1) unstable; urgency=low

  * New upstream version
  * Add Python-3 package

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Oct 2015 12:27:47 +0200

python-pyds9 (1.7-4) unstable; urgency=low

  * Add astropy dependency to CI test

 -- Ole Streicher <olebole@debian.org>  Thu, 28 May 2015 15:31:47 +0200

python-pyds9 (1.7-3) unstable; urgency=low

  * Correct dependency of CI test
  * Make xpa-tools a strong dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 20 May 2015 08:58:24 +0200

python-pyds9 (1.7-2) unstable; urgency=low

  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Change maintainer and VCS location to debian-astro
  * Add CI tests.

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:22:27 +0200
