=== debian/control ===
Source: python-pyds9
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-six
Standards-Version: 4.2.1
Homepage: https://github.com/ericmandel/pyds9
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-pyds9.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-pyds9

Package: python3-pyds9
Architecture: all
Depends: python3-six,
         xpa-tools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-astropy, python3-numpy, saods9
Description: Communication with the ds9 image display program from Python
 The XPA messaging system provides seamless communication between many kinds
 of Unix programs, including Tcl/Tk programs such as ds9. The pyds9 module
 uses a Python interface to XPA to communicate with ds9. It supports
 communication with all of ds9’s XPA access points.
