=== debian/tests/control ===
Tests: pyds9-test
Depends: python3-astropy, python3-pyds9, saods9, xauth, xpa-tools, xvfb
