=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyds9-$1\.tar\.gz/ \
  https://github.com/ericmandel/pyds9/tags .*/v?(\d\S*)\.tar\.gz
